﻿<h2>Detalle País</h2>

<form id="entityForm">
    @Html.AntiForgeryToken()
    <input type="hidden" id="entidad" value="Country" />
    <div>
        <label for="id" class="fw-bold">ID:</label>
        <span id="id"></span>
    </div>
    <div>
        <label for="nombre" class="fw-bold">Nombre:</label>
        <span id="nombre"></span>
    </div>
    <div>
        <label for="codigoArea" class="fw-bold">Código de Área:</label>
        <span id="codigoArea"></span>
    </div>
    <div>
        <label for="iso2" class="fw-bold">ISO2:</label>
        <span id="iso2"></span>
    </div>
    <br />
    <div>
        <button type="button" onclick="editar()" class="btn btn-primary">Editar</button>
        <button type="button" onclick="cancelar()" class="btn btn-secondary">Cancelar</button>
    </div>
</form>

<script src="~/js/crud/detail.js"></script>
<script>
    function fillData(data) {
        document.getElementById("id").textContent = data.id;
        document.getElementById("nombre").textContent = data.nombre;
        document.getElementById("codigoArea").textContent = data.codigoArea;
        document.getElementById("iso2").textContent = data.iso2;
    }

    cargarDatos();
</script>